PDA

Afficher la version complète : gros probleme carte nvidia fx 5600xt



mgena03
25/02/2009, 18h13
bonjour je suis nouveau sous opensuse 11.1 j'essaye d'installer une carte nvidia fx 5600xt mais ça ne fonctionne pas j'ai bien mis les depots plus les depots nvidia et en cochant le driver ça me met rien ne fournit kernel(vmi:vmlinux) = de5c7ba437e2813b, qui est requis par nvidia-gfxG01-kmp-vmi-173.14.16_2.6.27.18_0.3-2.1.i586[ ] ne pas installer x11-video-nvidiaG01-173.14.16-2.1.i586
et meme avec l'autre driver rien ne fournit kernel(xen:kernel) = 82c07590bad43cd0, qui est requis par nvidia-gfxG02-kmp-xen-180.29_2.6.27.18_0.3-0.1.i586
[ ] ne pas installer x11-video-nvidiaG02-180.29-0.1.i586
juste pour info: mon kernel est 2.6.27.7-9-pae
est ce qu'il faut changer de kernel? si oui comment ?
je n'ai vu aucun kernel dans les depots
merci de m'aidez s'il vous plait

Burn2
26/02/2009, 00h08
Bonsoir allez dans yast et installez:
nvidia-gfxG01-kmp-pae
il rajoutera la dépendance qui va bien à savoir x11-video-nvidiaG01.

Faut vraiment que je me mette à bosser sur mon installeur auto de drivers et que je me motive pour le faire. :/

xiloa
26/02/2009, 00h19
salut
oui, ou le kernel defaut
faites une recherche tout d'abord sur kernel.
Vous devez en avoir au moins un installé. il y a quelques kernel possibles dont default, pae (+3 G0 memoire), xen (virtualisation) ....
chaque module est compilé pour ce kernel particulier. Je ne sais pas à quoi correspond vmi, mais sans doute pas à votre config. Il faut donc installé le module nvidia en rapport avec votre kernel.

Burn2
26/02/2009, 00h46
IL a précisé son kernel:
<div class='quotetop'>Citation </div>
juste pour info: mon kernel est 2.6.27.7-9-pae[/b]

En fait le problème vient du fait que si t'installes x11-video-nvidiaG01, ce "boulet" n'installera pas automatiquement le bon nvidia-gfxG01 qui correspond à notre noyau (en dépendance automatique) mais il va rajouter un autre qui correspond à un autre noyau (en général c'est xen je crois) et qui va par dépendance installer le noyau en question etc....
Du coup l'astuce c'est de choisir justement le bon nvidia-gfxG01 pour qu'il rajoute x11-video qui va bien et là c'est bon.

Mais bon clairement faudrait un installeur automatique. Faut vraiment que je trouve le temps pour me repancher dessus histoire de débloquer ça parce que bon c'est un peu problématique je trouve à l'heure actuelle...

albordageasse
26/02/2009, 01h08
non, non, même ça ça marche pas.

j'ai le kernel "default", j'ai beau choisir "nvidia-gfxgo2-kemp-default", bah y a toujours le problème de dépendance.

comment faire? compiler à la main? ça fait ch... un peu quand même.

genome
26/02/2009, 03h28
Salut,

Il y a une petite confusion au niveau des dépôts Nvidia. En effet, un nouveau noyau est actuellement en phase de test avant de passer dans le dépôt update d'opensuse. Or Nvidia a fourni son module pour le noyau en test (2.6.27.18), au lieu du noyau courant (2.6.27.7)

La solution : soit vous attendez patiemment que la mise à jour du noyau soit publiée pour installer le driver
soir vous activez temporairement le dépôt de test http://download.opensuse.org/update/11.1-test/ (risqué) soit vous compilez à la main

mgena03
27/02/2009, 12h16
merci les gars c'est vraiment gentil de m'avoir aider je vais essayer ça et si ça ne fonctionne pas je vais attendre la mise a jour du noyau
merci encore et bonne journée